<?
require'config.php';
$align='left';
$title='VIP дня';
aut();
head();
who_add(0,'enter');



function sictime($timediff){

$oneMinute=60;
$oneHour=60*60;
$oneDay=60*60*24;
$dayfield=floor($timediff/$oneDay);
$hourfield=floor(($timediff-$dayfield*$oneDay)/$oneHour);
$minutefield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour)/$oneMinute);
$secondfield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour-$minutefield*$oneMinute));
$time_1="$hourfield ч. $minutefield м. $secondfield сек.";
return $time_1;
}

$vnim=$db->sql_fetchrow($db->sql_query("SELECT * FROM `vnim`"));

if($vnim['time']<$time)
{
$vnim = $_GET['vnim'];


switch($vnim) {

case '30':
if($user['rur']< 99){
header ('Location: ?err=2&'.SID);
}else{
$db->sql_query("TRUNCATE TABLE `vnim`");
$db->sql_query("INSERT INTO `vnim` (`id_user`, `nick_user`, `time`) VALUES ('$user[id]', '$user[photos]', '".($time+60*30)."')");
$db->sql_query("UPDATE `users` SET `rur` = '".($user['rur']-100)."' WHERE `id` = '$user[id]' LIMIT 1");
header ('Location: ?ok=1&'.SID);
}
break;
case '40':
if($user['rur']< 149){
	header ('Location: ?err=2&'.SID);
	}else{
$db->sql_query("TRUNCATE TABLE `vnim`");
$db->sql_query("INSERT INTO `vnim` (`id_user`, `nick_user`, `time`) VALUES ('$user[id]', '$user[user]', '".($time+60*40)."')");
$db->sql_query("UPDATE `users` SET `rur` = '".($user['rur']-150)."' WHERE `id` = '$user[id]' LIMIT 1");
header ('Location: ?ok=1&'.SID);
}
break;
case '50':
if($user['rur']< 199){
	header ('Location: ?err=2&'.SID);
	}else{
$db->sql_query("TRUNCATE TABLE `vnim`");
$db->sql_query("INSERT INTO `vnim` (`id_user`, `nick_user`, `time`) VALUES ('$user[id]', '$user[user]', '".($time+60*50)."')");
$db->sql_query("UPDATE `users` SET `rur` = '".($user['rur']-200)."' WHERE `id` = '$user[id]' LIMIT 1");
header ('Location: ?ok=1&'.SID);
}
break;
case '60':
if($user['rur']< 249){
	header ('Location: ?err=2&'.SID);
	}else{
$db->sql_query("TRUNCATE TABLE `vnim`");
$db->sql_query("INSERT INTO `vnim` (`id_user`, `nick_user`, `time`) VALUES ('$user[id]', '$user[user]', '".($time+60*60)."')");
$db->sql_query("UPDATE `users` SET `rur` = '".($user['rur']-250)."' WHERE `id` = '$user[id]' LIMIT 1");
header ('Location: ?ok=1&'.SID);
}
break;
case '70':
if($user['rur']< 299){
	header ('Location: ?err=2&'.SID);
	}else{
$db->sql_query("TRUNCATE TABLE `vnim`");
$db->sql_query("INSERT INTO `vnim` (`id_user`, `nick_user`, `time`) VALUES ('$user[id]', '$user[user]', '".($time+60*70)."')");
$db->sql_query("UPDATE `users` SET `rur` = '".($user['rur']-300)."' WHERE `id` = '$user[id]' LIMIT 1");
header ('Location: ?ok=1&'.SID);
}
break;
case '80':
if($user['rur']< 349){
	header ('Location: ?err=2&'.SID);
	}else{
$db->sql_query("TRUNCATE TABLE `vnim`");
$db->sql_query("INSERT INTO `vnim` (`id_user`, `nick_user`, `time`) VALUES ('$user[id]', '$user[user]', '".($time+60*80)."')");
$db->sql_query("UPDATE `users` SET `rur` = '".($user['rur']-350)."' WHERE `id` = '$user[id]' LIMIT 1");
header ('Location: ?ok=1&'.SID);
}
break;
case '90':
if($user['rur']< 399){
	header ('Location: ?err=2&'.SID);
	}else{
$db->sql_query("TRUNCATE TABLE `vnim`");
$db->sql_query("INSERT INTO `vnim` (`id_user`, `nick_user`, `time`) VALUES ('$user[id]', '$user[user]', '".($time+60*90)."')");
$db->sql_query("UPDATE `users` SET `rur` = '".($user['rur']-400)."' WHERE `id` = '$user[id]' LIMIT 1");
header ('Location: ?ok=1&'.SID);
}
break;
case '100':
if($user['rur']< 499){
	header ('Location: ?err=2&'.SID);
	}else{
$db->sql_query("TRUNCATE TABLE `vnim`");
$db->sql_query("INSERT INTO `vnim` (`id_user`, `nick_user`, `time`) VALUES ('$user[id]', '$user[user]', '".($time+60*100)."')");
$db->sql_query("UPDATE `users` SET `rur` = '".($user['rur']-500)."' WHERE `id` = '$user[id]' LIMIT 1");
header ('Location: ?ok=1&'.SID);
}
break;
case '110':
if($user['rur']< 599){
	header ('Location: ?err=2&'.SID);
	}else{
$db->sql_query("TRUNCATE TABLE `vnim`");
$db->sql_query("INSERT INTO `vnim` (`id_user`, `nick_user`, `time`) VALUES ('$user[id]', '$user[user]', '".($time+60*110)."')");
$db->sql_query("UPDATE `users` SET `rur` = '".($user['rur']-600)."' WHERE `id` = '$user[id]' LIMIT 1");
header ('Location: ?ok=1&'.SID);
}
break;
case '120':
if($user['rur']< 699){
	header ('Location: ?err=2&'.SID);
	}else{
$db->sql_query("TRUNCATE TABLE `vnim`");
$db->sql_query("INSERT INTO `vnim` (`id_user`, `nick_user`, `time`) VALUES ('$user[id]', '$user[user]', '".($time+60*120)."')");
$db->sql_query("UPDATE `users` SET `rur` = '".($user['rur']-700)."' WHERE `id` = '$user[id]' LIMIT 1");
header ('Location: ?ok=1&'.SID);
}
break;
case '130':
if($user['rur']< 1499){
	header ('Location: ?err=2&'.SID);
	}else{
$db->sql_query("TRUNCATE TABLE `vnim`");
$db->sql_query("INSERT INTO `vnim` (`id_user`, `nick_user`, `time`) VALUES ('$user[id]', '$user[user]', '".($time+60*300)."')");
$db->sql_query("UPDATE `users` SET `rur` = '".($user['rur']-1500)."' WHERE `id` = '$user[id]' LIMIT 1");
header ('Location: ?ok=1&'.SID);
}
break;
case '140':
if($user['rur']< 2999){
	header ('Location: ?err=2&'.SID);
	}else{
$db->sql_query("TRUNCATE TABLE `vnim`");
$db->sql_query("INSERT INTO `vnim` (`id_user`, `nick_user`, `time`) VALUES ('$user[id]', '$user[user]', '".($time+60*720)."')");
$db->sql_query("UPDATE `users` SET `rur` = '".($user['rur']-3000)."' WHERE `id` = '$user[id]' LIMIT 1");
header ('Location: ?ok=1&'.SID);
}
break;
}
}
if($_GET['ok']==1)echo '<b>Успешно куплено вип место!</b>';
if($_GET['err']==2)echo '<b>У вас нехватает средств для покупки VIP места!</b>';


?>
&#187; Если вы хотите чтобы о вас узнали все, значит вам сюда!<br/>
&#187; Мы вешаем вашу анкету на главную страничку, но это стоит рубликов сайта! <br/>
&#187; У вас <?php echo $user['rur']; ?> рублей сайта<br/>
<?php
if($vnim['time']>=$time)
{
	echo '&#187;  Место занято :'.nik($vnim['id_user']).'<br />&#187; До окончании очереди осталось : '.sictime($vnim["time"]-time());
	?>
	<br />
	&#187; Цены покупки в свободное время: <br />
	&#187; 30 минут [100 Руб]<br />
	&#187; 40 минут [150 руб]<br />
	&#187; 50 минут [200 руб]<br />
	&#187; 60 минут [250 руб]<br />
	&#187; 1 час 10 минут [300 руб]<br />
	&#187; 1 час 20 минут [350 руб]<br />
	&#187; 1 час 30 минут [400 руб]<br />
	&#187; 1 час 40 минут [500 руб]<br />
	&#187; 1 час 50 минут [600 руб]<br />
	&#187; 2 часа ровно [700 руб]<br />
	&#187; 5 часов ровно [1500 руб]<br />
	&#187; 12 часов ровно [3000 руб]<br />
	<?php
}else{
	?>
	<a href="?vnim=30">Купить 30 минут [100 руб] </a><br/>
	<a href="?vnim=40">Купить 40 минут [150 руб] </a><br />
	<a href="?vnim=50">Купить 50 минут [200 руб] </a><br />
	<a href="?vnim=60">Купить 60 минут [250 руб] </a><br />
	<a href="?vnim=70">Купить 1 час 10 минут [300 руб] </a><br />
	<a href="?vnim=80">Купить 2 час 20 минут [350 руб] </a><br />
	<a href="?vnim=90">Купить 1 час 30 минут [400 руб] </a><br />
	<a href="?vnim=100">Купить 1 час 40 минут [500 руб] </a><br />
	<a href="?vnim=110">Купить 1 час 50 минут [600 руб] </a><br />
	<a href="?vnim=120">Купить 2 часа ровно [700 руб] </a><br />
	<a href="?vnim=130">Купить 5 часов ровно [1500 руб] </a><br />
	<a href="?vnim=140">Купить 12 часов ровно  [3000 руб] </a><br />
	<?php
}

/*if($user[id]==3) 
{
echo sictime($time+60*300-time());
}*/

echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();

?>


